FreeMat

- Main Page
- Related Pages

vtkXYZMolReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXYZMolReader is a source object that reads Molecule files The FileName must be specified

.SECTION Thanks Dr. Jean M. Favre who developed and contributed this class

To create an instance of class vtkXYZMolReader, simply invoke its constructor as follows

      obj = vtkXYZMolReader

# Methods

The class vtkXYZMolReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXYZMolReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXYZMolReader = obj.NewInstance ()`
- `vtkXYZMolReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string name)` - Test whether the file with the given name can be read by this reader.
- `obj.SetTimeStep (int )` - Set the current time step. It should be greater than 0 and smaller than MaxTimeStep.
- `int = obj.GetTimeStep ()` - Set the current time step. It should be greater than 0 and smaller than MaxTimeStep.
- `int = obj.GetMaxTimeStep ()` - Get the maximum time step.